% a test script for sqlite3

% set debugging on
%_debug_info = 1;
%_traceback = 1;    

import("sqlite3", "Global");

variable res;

variable sql_create = "CREATE TABLE jmrtest ( name text, age text);";
variable sql_insert1 = "INSERT INTO jmrtest VALUES('joe', '39');";
variable sql_insert2 = "INSERT INTO jmrtest ('name', 'age') VALUES ('bob', '51');";
variable sql_query = "SELECT * FROM jmrtest;";


% open the database
% this will create a file if none exists
res = sqlite3_open("./tsqlite.db");
vmessage(sqlite3_errmsg());

% create the data table
res = sqlite3_exec(sql_create);
vmessage("create table result=%d", res);

% add some values
res = sqlite3_exec(sql_insert1);
vmessage("insert 1 result=%d", res);

res = sqlite3_exec(sql_insert2);
vmessage("insert 2 result=%d", res);

% get the number of changes
res = sqlite3_changes();
vmessage("changes to db: %d", res);
res = sqlite3_total_changes();
vmessage("total changes to db: %d", res);

% query the table
variable data;
data = sqlite3_get_table(sql_query);
vmessage("data size=%d", length(data) );

variable c;
variable cols = sqlite3_get_cols();
vmessage("cols: %d", cols);

for (c=0; c<length(data); c++){
    message(data[c]);
}

variable err;
variable errnum;
err = sqlite3_errmsg();
vmessage("last error message: %s", err);
errnum = sqlite3_errcode();
vmessage("last error code: %d", errnum); 

res = sqlite3_close();
vmessage("Done, close result=%d", res);

